Bug 190409 - Suspend on iBook G4 b0rked
Suspend on iBook G4 b0rked
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 21:15 EDT by Joshua Wulf
Modified: 2014-10-19 18:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 09:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2006-05-01 21:15:08 EDT
Description of problem:
Closing the lid or choosing suspend from the gnome menu no longer suspends the
machine. Instead now the screen goes blank (but doesn't power down), the apple
on the back of the screen stays lit. There is no way to get the screen
displaying normally again. The only thing to do is to hit Ctrl-Alt-F1 and type
init 6 blind to reboot the machine.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2096_FC5
It's been like this for a number of stable kernels, and in rawhide too.

How reproducible: 100%


Steps to Reproduce:
1. CLose the lid or choose suspend from the menu
2.
3.
  
Actual results:
Screen blanks but does not power down. Machine does not suspend.

Expected results:
Machine should suspend to RAM.

Additional info:
Comment 1 Phil Knirsch 2006-05-10 10:16:10 EDT
Did it work in FC4? And does it work with the old FC4 pm-utils package? If not,
then it's most likely a kernel problem.

Read ya, Phil
Comment 3 Phil Knirsch 2007-05-16 06:04:01 EDT
Latest rawhide kernels should contain working suspend code for Apple laptops now.

Please retest if possible please.

Thanks,

Read ya, Phil
Comment 4 Zdenek Prikryl 2007-07-25 09:08:24 EDT
FC5 has now been EOL'd. Furthermore it looks like kernel problem. Try a new ona
please.

Zdenek

Note You need to log in before you can comment on or make changes to this bug.